<?php
/**
 * Charity Trust: Block Patterns
 *
 * @since Charity Trust 1.0
 */

function charity_trust_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'charity-trust' => array( 'label' => __( 'Charity Trust', 'charity-trust' ) )
	);
	$block_pattern_categories = apply_filters( 'charity_trust_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'charity_trust_register_block_patterns', 9 );